STTY(3) | Library Functions Manual | STTY(3)

# NAME

`stty`, `gtty` — set and get terminal state (defunct)

# LIBRARY

Compatibility Library (libcompat, -lcompat)

# SYNOPSIS

`#include <sgtty.h>`

`stty`(int fd, struct sgttyb *buf);

`gtty`(int fd, struct sgttyb *buf);

# DESCRIPTION

These interfaces are obsoleted by ioctl(2). They are available from the compatibility library, libcompat.

The `stty`() function sets the state of the terminal associated with fd. The `gtty`() function retrieves the state of the terminal associated with fd. To set the state of a terminal the call must have write permission.

The `stty`() call is actually ‘`ioctl(fd, TIOCSETP, buf)`’, while the `gtty`() call is ‘`ioctl(fd, TIOCGETP, buf)`’. See ioctl(2) and tty(4) for an explanation.

# RETURN VALUES

The `gtty`() and `stty`() functions return the value 0 if successful; otherwise the value -1 is returned and the global variable errno is set to indicate the error.

# SEE ALSO

ioctl(2), tty(4)

# HISTORY

The `stty`() and `gtty`() functions appeared in Version 1 AT&T UNIX. Obsoleted by ioctl(2), these functions were moved to libcompat in 4.2BSD.

September 2, 2019 | NetBSD 11.0